 <?php
  /* database configuration */
 
$servername = 'localhost';
$username = 'root';
$password = '';
$db = 'negozio';
 
$conn = mysqli_connect($servername,$username,$password,$db) ;
 
if (!$conn)
{
echo "Failed to connect to MySQL: " . mysqli_connect_error();
}

 
if (isset($_POST['username']))
{
	$statement = $conn->prepare("Select * from register_users where username = ? OR email = ?");
    $statement->bind_param("ss", $username, $email); 
      
	$stmt = $conn->prepare("INSERT INTO register_users (username, email, password, register_date) VALUES (?, ?, ?, ?)");
	$stmt->bind_param("ssss", $username, $email, $password, $register_date);
 
// set parameters and execute
	$username = $_POST['username'];
	$submitemail = $_POST['email'];
	
	// Remove all illegal characters from email
	$email = filter_var($submitemail, FILTER_SANITIZE_EMAIL);
	
	$password = md5($_POST['pwd']);
	$register_date = date("Y-m-d H:i:s");
	
// execute Select query
 
	$statement->execute();
	
	$statement->store_result();
	$numrows = $statement->num_rows;
	
	$statement->close();
	
	// Validate e-mail address
	if(filter_var($submitemail, FILTER_VALIDATE_EMAIL))
	{
		if($numrows == 0)
		{
			$stmt->execute();
			$stmt->close();
		}
		else
		{
			$checkuser = "Username Or Email Already Used";
		}
	} 
	else
	{
		$validate_msg = "$submitemail is Not valid email address";
	} 
 
        if($conn->insert_id)
        {
            $msg = "<h3>Registered successfully.</h3>";
        }
        else
        {
			$msg = "Registration Failed";
		}
       
    }
		
?>
<?php
 
require("session.php");
 
?>
 
<!DOCTYPE html>
<html lang="en">
<head>
  <title>Home Page</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="bootstrap.min.css">
  <script src="jquery.min.js"></script>
  <script src="bootstrap.min.js"></script>
</head>
 
<body>
 
<div style="margin-top:5%" class="container">
    
  <div align="center" class="row">
    
    <div class="col-sm-12" style="background:#eeeeee;">
 
<p>Welcome <?php echo $_SESSION['name']; ?>!</p>
<p>This is secure area.</p>
<a href="logout.php">Logout</a>
</div>
</div>
</div>
</body>
</html>